/// A class representing an item in a bill.
class BillItem {
  /// The unique identifier of the item.
  String itemId;

  /// A description of the item (optional).
  String? description;

  /// The quantity of the item (optional).
  int? quantity;

  /// The price of the item (optional).
  double? price;

  /// Constructs a [BillItem] with the provided [itemId].
  /// Optionally, you can provide a [description], [quantity], and [price].
  BillItem({
    required this.itemId,
    this.description,
    this.quantity,
    this.price,
  });

  /// Converts this [BillItem] to a JSON format.
  Map<String, dynamic> toJson() {
    return {
      'itemId': itemId,
      'description': description,
      'quantity': quantity,
      'price': price,
    };
  }
}
