/// A model representing customer information for launching a Fawry payment.
class LaunchCustomerModel {
  /// The name of the customer (optional).
  String? customerName;

  /// The email address of the customer (optional).
  String? customerEmail;

  /// The mobile number of the customer (optional).
  String? customerMobile;

  /// The profile ID of the customer (optional).
  String? customerProfileId;

  /// Constructs a [LaunchCustomerModel] with optional parameters.
  LaunchCustomerModel({
    required this.customerName,
    this.customerEmail,
    this.customerMobile,
    this.customerProfileId,
  });

  /// Converts this [LaunchCustomerModel] to a JSON format.
  Map<String, dynamic> toJson() {
    return {
      if (customerName != null) 'customerName': customerName,
      if (customerEmail != null) 'customerEmail': customerEmail,
      if (customerMobile != null) 'customerMobile': customerMobile,
      if (customerProfileId != null) 'customerProfileId': customerProfileId,
    };
  }
}
