/// A model representing merchant information for launching a Fawry payment.
class LaunchMerchantModel {
  /// The merchant code.
  String merchantCode;

  /// The merchant reference number.
  String merchantRefNum;

  /// The secure key for authentication.
  String secureKey;

  /// Constructs a [LaunchMerchantModel] with required parameters.
  LaunchMerchantModel({
    required this.merchantCode,
    required this.merchantRefNum,
    required this.secureKey,
  });

  /// Converts this [LaunchMerchantModel] to a JSON format.
  Map<String, dynamic> toJson() {
    return {
      'merchantCode': merchantCode,
      'merchantRefNum': merchantRefNum,
      'secureKey': secureKey,
      'secretCode': secureKey,
    };
  }
}
