/// A class representing the status of a response.
class ResponseStatus {
  /// The status string indicating the response status.
  String status;

  /// A message providing additional information about the response.
  String message;

  /// Additional data associated with the response (optional).
  String? data;

  /// Constructs a [ResponseStatus] with the provided [status], [message], and [data].
  ResponseStatus(this.status, this.message, this.data);

  /// Factory method to create a [ResponseStatus] from a JSON [json] object.
  factory ResponseStatus.fromJson(dynamic json) {
    return ResponseStatus(
      json['status'] as String,
      json['message'] as String,
      json['data'] as String?,
    );
  }
}
